/*	 An 10-point Font similar to Arial for Web pages
	font with upper- and lowercase, etc., but no antialiasing
	Usage:	PutsArial10(BITMAP *bmp,int x,int y, int Hue, char *Str)
		(where Hue is the foreground color)
		StrLenArial10(char *Str)
		The font data should be loaded at the beginning of the
		program, by calling LoadArial10().
*/
/* This program is free software. You may redistribute and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License or
 * (at your option) any later version.
 *
 * Refer to the file C:\LCARS24\DATA\COPYING.TXT for details.
 */

#ifndef WINFONT_H
#define WINFONT_H


#include "lcars24.h"
#include "lccolor.h"
#include "parts.h"


unsigned char Arial10[12544];
unsigned char Mono13[12544];


int LoadArial10();
int StrLenArial10(char *Str);
int BlitArial10(BITMAP *bmp, int x, int y, int Hue, int TargetChar);
int PutsArial10(BITMAP *bmp,int x,int y, int Hue, char *Str);
int LoadMono13();
int StrLenMono13(char *Str);
int PutsMono13(BITMAP *bmp,int x,int y, int Hue, char *Str);


#endif

